.menu-content {
  height: 100vh;

  .menu-list {
    background: var(--ion-foreground-color);

    .list-header {
      min-height: 0;
      font-size: 16px;
      --color: var(--ion-color-medium);
      padding: 15px 5px 15px 15px;
      --background: var(--ion-foreground-color);
    }
  }

  .spacer {
    height: 20px;
  }

  .settings-item {
    --background: var(--ion-foreground-color);

    .devices-label {
      --color: var(--ion-color-medium-tint);
    }

    .device-selector {
      font-size: 12px;

      &.invalid_device {
        color: var(--ion-color-danger-tint);
      }
    }

    .checkbox-label {
      font-size: 12px;
    }

    .backend-label {
      --color: var(--ion-color-medium-tint);
    }

    .backend-input {
      font-size: 12px;
    }

    .dropdown-icon {
      font-size: 14px;
    }

    .save-button {
      width: 100%;
    }
  }

  .settings-error-text {
    color: var(--ion-color-danger);
    font-size: 10px;
    padding: 0 15px;
  }

  .navigation-item {
    --padding-start: 13px;
    cursor: pointer;
    font-size: 12px;
    --background: transparent;
    --color: var(--ion-color-medium-tint);

    &:hover {
      border-left: 3px solid var(--fg-highlight);
      --background: var(--ion-color-light-shade);
      --padding-start: 10px;
      --color: var(--ion-text-color);
    }

    &:active {
      --background: var(--ion-color-light);
      --color: var(--ion-text-color);
    }
  }
}

.autocomplete-menu {
  position: absolute;
  min-height: 35px;
  min-width: 200px;
  max-height: 350px;
  max-width: 100%;
  background-color: var(--autocomplete-background);
  overflow-y: auto;
  overflow-x: hidden;
  opacity: 0;
  box-shadow: var(--autocomplete-shadow);

  .autocomplete-entry {
    color: var(--fg-main);
    --inner-padding-bottom: 0;
    --inner-padding-top: 0;
    --padding-bottom: 0;
    --padding-top: 0;
    font-size: 14px;
    width: 100%;
    --background: transparent;
    cursor: pointer;

    &:hover {
      background: var(--autocomplete-hover);
    }
  }

  .no-records-entry {
    color: var(--fg-disabled);
    --inner-padding-bottom: 0;
    --inner-padding-top: 0;
    --padding-bottom: 0;
    --padding-top: 0;
    font-size: 14px;
    width: 100%;
    --background: transparent;
  }
}
